KDE 4.9 PyKDE API Reference

- KDE's Python API

# Plugin Class Reference

`from PyKDE4.soprano import *`

Subclasses: Soprano.Backend, Soprano.Parser, Soprano.Serializer
Namespace: Soprano

## Detailed Description

\class Plugin plugin.h Soprano/Plugin

Base class for all plugins in %Soprano.

Each %Soprano %Plugin has a name which can be read via pluginName().

\sa Soprano.PluginManager

Author:
  Sebastian Trueg <trueg@kde.org>

## Methods

| __init__ (self, QString name)
bool | isAvailable (self)
QString | pluginName (self)

## Method Documentation

__init__ | ( | self, |
|  | QString | name
| ) |  |  |

bool isAvailable | ( |  | self ) |

This method can be reimplemented by plugins that need to do additional run-time checks before they can be used.

The default implementation returns true.

Returns:
  true if the plugin can be used.

QString pluginName | ( |  | self ) |